/* --------------------------------------------------------------------------
 *
 * Copyright (C) 2007 Leif Erik Larsen, Kjerringvik, Norway.
 *
 * This file is part of the Open Source Edition of Larsen Commander, as
 * available from http://home.online.no/~leifel/lcmd/.  This code is free 
 * software; you can redistribute it and/or modify it under the terms of 
 * the GNU General Public License version 3 only, as published by the 
 * Free Software Foundation.  
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 3 at http://www.gnu.org/licenses/gpl-3.0.txt for more details 
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * ------------------------------------------------------------------------ */

#ifndef __GLIB_VFSPOOL
#define __GLIB_VFSPOOL

#include "glib/vfs/GVfs.h"
#include "glib/util/GHashtable.h"

/**
 *
 * @author  Leif Erik Larsen
 * @since   2006.09.08
 */
class GVfsPool : public GObject
{
   private:

      GHashtable<GString, GVfs> pool;

   public:

      GVfsPool ();
      virtual ~GVfsPool ();

   private:

      /** Disable copy constructor and assignment operator. */
      GVfsPool ( const GVfsPool& );
      void operator= ( const GVfsPool& );

   public:

      GVfs& getVfs ( const GString& path );

      void putVfs ( const GString& path, GVfs* vfs );
};

#endif
